Bug 17935 - Adjust some POD lines, fix a few typos
Summary: Adjust some POD lines, fix a few typos
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-18 15:56 UTC by Marcel de Rooy
Modified: 2017-02-15 12:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17935: Adjust some POD lines, fix a few typos (7.81 KB, patch)
2017-01-19 08:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17935: Follow up for C4::Plugin... (1.29 KB, patch)
2017-01-20 18:28 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17935: Adjust some POD lines, fix a few typos (7.82 KB, patch)
2017-01-24 04:38 UTC, David Cook
Details | Diff | Splinter Review
Bug 17935: Follow up for C4::Plugin... (1.34 KB, patch)
2017-01-24 04:38 UTC, David Cook
Details | Diff | Splinter Review
Bug 17935: Adjust some POD lines, fix a few typos (7.88 KB, patch)
2017-01-26 12:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17935: Follow up for C4::Plugin... (1.41 KB, patch)
2017-01-26 12:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-01-18 15:56:06 UTC

    
Comment 1 Marcel de Rooy 2017-01-19 08:34:43 UTC
Created attachment 59209 [details] [review]
Bug 17935: Adjust some POD lines, fix a few typos

This patch does the following:

[1] Move some POD lines from Cache to Caches.
[2] Correct C4::Plugins to Koha::Plugins in POD line of Koha::Plugins
[3] POD Koha/AuthorisedValue.pm: lib_opac moved to opac_description
[4] The POD in Koha/Patron.pm uses head2 and head3 inconsistently.
    Ran s/^=head2/=head3/ on those lines (7 substitutions on 7 lines)
[5] Correct a copied POD line from reports/issues_stats.pl in
    reports/reserve_stats.pl.
[6] Correct a test description in t/db_dependent/Koha/Authorities.t.
    You should never delete the library :)
[7] Correct typo shouild in a comment of rebuild_zebra.pl

Test plan:
[1] Read the patch. Does it make sense?
[2] Run perldoc Koha/Cache.pm and Koha/Caches.pm
[3] Run t/db_dependent/Koha/Authorities.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 M. Tompsett 2017-01-20 17:31:57 UTC
Comment on attachment 59209 [details] [review]
Bug 17935: Adjust some POD lines, fix a few typos

Review of attachment 59209 [details] [review]:
-----------------------------------------------------------------

Eyeballs well.

::: Koha/AuthorisedValue.pm
@@ +135,2 @@
>  
> +my $description = $av->opac_description();

Yep.

::: Koha/Plugins.pm
@@ +54,4 @@
>  This will return a list of all available plugins, optionally limited by
>  method or metadata value.
>  
> +    my @plugins = Koha::Plugins::GetPlugins({

Yikes! Good catch.

::: misc/migration_tools/rebuild_zebra.pl
@@ +187,4 @@
>  };
>  
>  # Protect again simultaneous update of the zebra index by using a lock file.
> +# Create our own lock directory if it is missing. This should be created

its vs "it is" -- nice fix.

@@ +187,5 @@
>  };
>  
>  # Protect again simultaneous update of the zebra index by using a lock file.
> +# Create our own lock directory if it is missing. This should be created
> +# by koha-zebra-ctl.sh or at system installation. If the desired directory

Yep, 2 spaces after a period is old school punctuation.

::: reports/reserves_stats.pl
@@ +43,4 @@
>  
>  =head1 DESCRIPTION
>  
> +    Plugin that shows reserve stats

Doh! Good catch.

::: t/db_dependent/Koha/Authorities.t
@@ +49,4 @@
>  is( Koha::Authorities->search->count,      $nb_of_authorities + 2,     'The 2 authorities should have been added' );
>  
>  $new_authority_1->delete;
> +is( Koha::Authorities->search->count, $nb_of_authorities + 1, 'Delete should have deleted the authority' );

Nice catch.
Comment 3 M. Tompsett 2017-01-20 18:28:11 UTC
Created attachment 59385 [details] [review]
Bug 17935: Follow up for C4::Plugin...

TEST PLAN
---------
-- apply first patch
git grep "C4::Plugin"
-- still two references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler

-- apply this patch
git grep "C4::Plugin"
-- no references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler
-- should look fixed

 Please enter the commit message for your changes. Lines starting
Comment 4 David Cook 2017-01-24 04:38:04 UTC
Created attachment 59485 [details] [review]
Bug 17935: Adjust some POD lines, fix a few typos

This patch does the following:

[1] Move some POD lines from Cache to Caches.
[2] Correct C4::Plugins to Koha::Plugins in POD line of Koha::Plugins
[3] POD Koha/AuthorisedValue.pm: lib_opac moved to opac_description
[4] The POD in Koha/Patron.pm uses head2 and head3 inconsistently.
    Ran s/^=head2/=head3/ on those lines (7 substitutions on 7 lines)
[5] Correct a copied POD line from reports/issues_stats.pl in
    reports/reserve_stats.pl.
[6] Correct a test description in t/db_dependent/Koha/Authorities.t.
    You should never delete the library :)
[7] Correct typo shouild in a comment of rebuild_zebra.pl

Test plan:
[1] Read the patch. Does it make sense?
[2] Run perldoc Koha/Cache.pm and Koha/Caches.pm
[3] Run t/db_dependent/Koha/Authorities.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: David Cook <dcook@prosentient.com.au>
Comment 5 David Cook 2017-01-24 04:38:10 UTC
Created attachment 59486 [details] [review]
Bug 17935: Follow up for C4::Plugin...

TEST PLAN
---------
-- apply first patch
git grep "C4::Plugin"
-- still two references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler

-- apply this patch
git grep "C4::Plugin"
-- no references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler
-- should look fixed

 Please enter the commit message for your changes. Lines starting

Signed-off-by: David Cook <dcook@prosentient.com.au>
Comment 6 David Cook 2017-01-24 04:38:41 UTC
Forgot to label the patches as signed off, but you can see that I've signed off both.
Comment 7 Marcel de Rooy 2017-01-24 08:17:00 UTC
(In reply to David Cook from comment #6)
> Forgot to label the patches as signed off, but you can see that I've signed
> off both.

Thanks, David. Note that I do not see any real use in labeling patches with SIGNED_OFF. We have a signoff line and a bug status.
Comment 8 Jonathan Druart 2017-01-26 12:47:47 UTC
Created attachment 59579 [details] [review]
Bug 17935: Adjust some POD lines, fix a few typos

This patch does the following:

[1] Move some POD lines from Cache to Caches.
[2] Correct C4::Plugins to Koha::Plugins in POD line of Koha::Plugins
[3] POD Koha/AuthorisedValue.pm: lib_opac moved to opac_description
[4] The POD in Koha/Patron.pm uses head2 and head3 inconsistently.
    Ran s/^=head2/=head3/ on those lines (7 substitutions on 7 lines)
[5] Correct a copied POD line from reports/issues_stats.pl in
    reports/reserve_stats.pl.
[6] Correct a test description in t/db_dependent/Koha/Authorities.t.
    You should never delete the library :)
[7] Correct typo shouild in a comment of rebuild_zebra.pl

Test plan:
[1] Read the patch. Does it make sense?
[2] Run perldoc Koha/Cache.pm and Koha/Caches.pm
[3] Run t/db_dependent/Koha/Authorities.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: David Cook <dcook@prosentient.com.au>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jonathan Druart 2017-01-26 12:47:51 UTC
Created attachment 59580 [details] [review]
Bug 17935: Follow up for C4::Plugin...

TEST PLAN
---------
-- apply first patch
git grep "C4::Plugin"
-- still two references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler

-- apply this patch
git grep "C4::Plugin"
-- no references
perldoc Koha::Plugins::Base
perldoc Koha::Plugins::Handler
-- should look fixed

 Please enter the commit message for your changes. Lines starting

Signed-off-by: David Cook <dcook@prosentient.com.au>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Kyle M Hall 2017-02-14 14:16:18 UTC
Pushed to master for 17.05, thanks Marcel, Mark!
Comment 11 Katrin Fischer 2017-02-14 21:00:16 UTC
Conflicts in 16.11.x - please rebase!
Comment 12 Marcel de Rooy 2017-02-15 11:58:10 UTC
(In reply to Katrin Fischer from comment #11)
> Conflicts in 16.11.x - please rebase!

I would not backport it.
Comment 13 Katrin Fischer 2017-02-15 12:35:10 UTC
Alright :)